package main
import (
	"fmt"
	"image"
	"os"
	"image/png"
	"image/draw"
	"image/color"
)
func main() {
	// 320×240ピクセルサイズの四角形を生成
	m := image.NewRGBA(image.Rect(0, 0, 320, 240))
	// (0, 0)から緑色で320×240ピクセルサイズの四角形を描画
	draw.Draw(m, m.Bounds(), &image.Uniform{color.RGBA{0, 255, 0, 255}}, image.Point{0, 0}, draw.Src)
	// 保存するファイル名
	savefile, err := os.Create("/images/green.png")
	if err != nil {
		fmt.Println("保存するためのファイルが作成できませんでした。")
		os.Exit(1)
	}
	defer savefile.Close()
	// PNG形式で保存する
	png.Encode(savefile, m)
}
